"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queueTypeDef = void 0;
const apollo_server_core_1 = require("apollo-server-core");
exports.queueTypeDef = apollo_server_core_1.gql `
  type QueueJobsCounts {
    waiting: Int!
    active: Int!
    completed: Int!
    failed: Int!
    delayed: Int!
    paused: Int!
  }
  type Queue {
    name: String!
    """
    https://github.com/OptimalBits/bull/blob/develop/REFERENCE.md#queuecount
    """
    count: Int!
    """
    https://github.com/OptimalBits/bull/blob/develop/REFERENCE.md#queuegetjobcounts
    """
    jobsCounts: QueueJobsCounts!
    """
    https://github.com/OptimalBits/bull/blob/develop/REFERENCE.md#queuegetcompletedcount
    """
    completedCount: Int!
    """
    https://github.com/OptimalBits/bull/blob/develop/REFERENCE.md#queuegetfailedcount
    """
    failedCount: Int!
    """
    https://github.com/OptimalBits/bull/blob/develop/REFERENCE.md#queuegetdelayedcount
    """
    delayedCount: Int!
    """
    https://github.com/OptimalBits/bull/blob/develop/REFERENCE.md#queuegetactivecount
    """
    activeCount: Int!
    """
    https://github.com/OptimalBits/bull/blob/develop/REFERENCE.md#queuegetwaitingcount
    """
    waitingCount: Int!
    """
    https://github.com/OptimalBits/bull/blob/develop/REFERENCE.md#queuegetpausedcount
    """
    pausedCount: Int!
    jobs: [Job]!
    isPaused: Boolean!
  }
`;
//# sourceMappingURL=queue.js.map